GetInterfaceObject - ObjectDBX problem

Discussion in 'AutoCAD' started by Dave F., Nov 30, 2004.

  1. Dave F.

    Dave F. Guest

    Hi
    I'm using A2005

    I sure it's something stupid, but anyone have ideas why does the following
    give a Type Mismatch error?

    Dim dbxdoc As AxDbDocument
    Set dbxdoc =
    AcadApplication.GetInterfaceObject("ObjectDBX.AxDbDocument.16")

    TIA

    Dave F.
     
    Dave F., Nov 30, 2004
    #1
  2. Dave F.

    sdanis Guest

    Try this:
    Dim DbxDoc As AXDB16Lib.AxDbDocument
    Set DbxDoc = GetInterfaceObject("ObjectDBX.AxDbDocument")

    Hope it helps
     
    sdanis, Dec 2, 2004
    #2
  3. Dave F.

    Dave F. Guest

    Unfortunately, it doesn't. but thanks for replying.
    I'm getting a 'user defined type not defined'

    I have axdb16enu.tlb referenced.

    This used to work in ver 15.06.
    Dim DbxDoc As AxDbDocument
    Set dbxdoc = AcadApplication.GetInterfaceObject("ObjectDBX.AxDbDocument")

    but does since i had 2005 installed along side.
    This leads me to think there maybe a clash between the two versions.
    Could this be the problem?

    Cheers
    Dave F.
     
    Dave F., Dec 2, 2004
    #3
  4. Dave F.

    Dave F. Guest

    Got it sorted!

    I'd stupidly left an old Objectdbx reference ticked & above the .16 version
    in the list. Doh!
     
    Dave F., Dec 2, 2004
    #4
  5. How about

    Set DbxDoc = AcadApplication.GetInterfaceObject("ObjectDBX.AxDbDocument.16")
     
    Jorge Jimenez, Dec 2, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.